Skip to main content
GET
Get a tool router session by ID (v3.1)

Authorizations

x-api-key
string
header
default:your-project-api-key
required

Your Composio project API key. Create or copy it from the Composio dashboard.

Path Parameters

session_id
string<toolRouterSessionId>
required

The unique identifier of the tool router session The session ID returned when creating the session

Example:

"trs_1a2b3c4d5e6f"

Response

Session successfully retrieved. Returns the session details including configuration.

session_id
string<toolRouterSessionId>
required

The identifier of the session

Example:

"trs_1a2b3c4d5e6f"

mcp
object
required
tool_router_tools
string[]
required

List of available tools in this session

config
object
required

The configuration used to create this session

config_version
integer
required

Monotonic version of the config. Incremented on each PATCH. Use for optimistic concurrency control.

experimental
object

Experimental v3.1 features

warnings
object[]

Advisory list — the session exists and is usable, but the listed issues may warrant attention.

Example: